Commit 2610fa4c authored by Vincent A's avatar Vincent A

setup.py: depend on Pillow, don't do old debian stuff

As of writing, debian stable (stretch) uses Pillow for PIL.
parent 78f6c847
Pipeline #1231 failed with stages
in 62 minutes and 35 seconds
......@@ -135,19 +135,10 @@ def install_weboob():
'html2text>=3.200',
'six',
'unidecode',
'Pillow',
'mechanize; python_version < "3.0"',
'futures; python_version < "3.2"',
]
try:
import Image
except ImportError:
requirements.append('Pillow')
else:
# detect Pillow-only feature, or weird Debian stuff
if hasattr(Image, 'alpha_composite') or 'PILcompat' in Image.__file__:
requirements.append('Pillow')
else:
requirements.append('PIL')
if not options.deps:
requirements = []
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment